/*
 *  Copyright 2017-2022 Adobe.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *          http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package com.adobe.testing.s3mock.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * https://docs.aws.amazon.com/AmazonS3/latest/API/API_CompletedPart.html
 */
public class CompletedPart {

  @JsonProperty("PartNumber")
  protected Integer partNumber;

  @JsonProperty("ETag")
  @JsonSerialize(using = EtagSerializer.class)
  @JsonDeserialize(using = EtagDeserializer.class)
  protected String etag;

  public Integer getPartNumber() {
    return partNumber;
  }

  public void setPartNumber(Integer partNumber) {
    this.partNumber = partNumber;
  }

  public String getETag() {
    return etag;
  }

  public void setETag(String etag) {
    this.etag = etag;
  }
}
